Method: projects.locations.services.list

Lists Services in a given project and location.

HTTP request

GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/services

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location to list services in. Expected format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. A query string used to filter the list of services returned. The filter expression must follow AIP-160 syntax.

Filtering is supported on the name, displayName, description, and labels fields.

Some examples:

  • name = "projects/p1/locations/l1/services/s1"
  • displayName = "my-service"
  • description : "myservice description"
  • labels.env = "prod"

Request body

The request body must be empty.

Response body

Message for response to listing Services

If successful, the response body contains data with the following structure:

JSON representation
{
  "services": [
    {
      object (Service)
    }
  ],
  "nextPageToken": string
}
Fields
services[]

object (Service)

The list of Service resources matching the parent and filter criteria in the request. Each Service resource follows the format: projects/{project}/locations/{location}/services/{service}.

nextPageToken

string

A token identifying a page of results the server should return. Used in pageToken.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.services.list

For more information, see the IAM documentation.